"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReturnMessageOutsideHandlingContext = void 0;
class ReturnMessageOutsideHandlingContext extends Error {
    constructor(help = `Calling .returnMessage() with a message indicates that the message received from the
queue should be returned so it can be retried.

This error occurs when .returnMessage() has been called outside of a message handling context,
or more specifically - outside the stack of a Handler() operation`) {
        super(`Attempted to return message outside of a message handling context`);
        this.help = help;
        Object.setPrototypeOf(this, new.target.prototype);
    }
}
exports.ReturnMessageOutsideHandlingContext = ReturnMessageOutsideHandlingContext;
