import { CustomResolver, HandlerRegistry, HandlerResolver } from './handler-registry';
import { Handler, HandlerDefinition, MessageBase } from './handler';
import { ClassConstructor } from '../util';
import { Message } from '@node-ts/bus-messages';
import { LoggerFactory } from '../logger';
export declare class DefaultHandlerRegistry implements HandlerRegistry {
    private registry;
    private unhandledMessages;
    private handlerResolvers;
    registerCustom<TMessage>(handler: HandlerDefinition<TMessage>, customResolver: CustomResolver<TMessage>): void;
    register<TMessage extends MessageBase>(messageType: ClassConstructor<TMessage>, handler: HandlerDefinition<TMessage>): void;
    get<MessageType extends MessageBase>(loggerFactory: LoggerFactory, message: MessageBase): HandlerDefinition<MessageType>[];
    getMessageNames(): string[];
    getMessageConstructor<T extends Message>(messageName: string): ClassConstructor<T> | undefined;
    getExternallyManagedTopicIdentifiers(): string[];
    getResolvers(): HandlerResolver[];
    reset(): void;
    getClassHandlers(): Handler[];
    /**
     * Returns a list of handlers that have been matched via custom resolvers for a message
     * @param message A message that has been fetched from the bus. Note that this may or may not
     * adhere to @node-ts/bus-messages/Message contracts, and could be any externally generated message.
     */
    private resolveCustomHandlers;
}
