"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HandlerAlreadyRegistered = void 0;
class HandlerAlreadyRegistered extends Error {
    constructor(handlerName) {
        super(`Attempted to register a handler, when a handler with the same name has already been registered.`);
        this.handlerName = handlerName;
        this.help = `Handlers must be registered with a unique $name property`;
        Object.setPrototypeOf(this, new.target.prototype);
    }
}
exports.HandlerAlreadyRegistered = HandlerAlreadyRegistered;
