"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SystemMessageMissingResolver = void 0;
class SystemMessageMissingResolver extends Error {
    constructor(messageType) {
        super(`A system message has been registered without providing a custom resolver.`);
        this.messageType = messageType;
        this.help = `Ensure your .withHandler includes a customResolver with resolveWith supplied.`;
        Object.setPrototypeOf(this, new.target.prototype);
    }
}
exports.SystemMessageMissingResolver = SystemMessageMissingResolver;
