"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handlerFor = void 0;
/**
 * Declares a message handling function
 * @param messageType Type of message that the function handles
 * @param messageHandler Function that is executed each time the type of message is read from the bus
 * @example
 * const testEventHandler = handlerFor(TestEvent, (message: TestEvent, attributes: MessageAttributes) => {})
 */
const handlerFor = (messageType, messageHandler) => {
    return {
        messageType,
        messageHandler
    };
};
exports.handlerFor = handlerFor;
