"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DebugLogger = void 0;
const tslib_1 = require("tslib");
const debug_1 = tslib_1.__importDefault(require("debug"));
/**
 * The default logger based on the `debug` package. To see log output, run
 * the application with `DEBUG=@node-ts/bus-*` set as an environment variable.
 */
class DebugLogger {
    constructor(name) {
        this.logger = (0, debug_1.default)(name);
    }
    log(message, meta) {
        meta ? this.logger(message, meta) : this.logger(message);
    }
    debug(message, meta) {
        this.log(message, meta);
    }
    trace(message, meta) {
        this.log(message, meta);
    }
    info(message, meta) {
        this.log(message, meta);
    }
    warn(message, meta) {
        this.log(message, meta);
    }
    error(message, meta) {
        this.log(message, meta);
    }
    fatal(message, meta) {
        this.log(message, meta);
    }
}
exports.DebugLogger = DebugLogger;
