"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultLoggerFactory = void 0;
const debug_logger_1 = require("./debug-logger");
/*
  Keep a lookup of existing loggers so that loggers are reused between invocations for
  the same target.
*/
const defaultLoggers = {};
const defaultLoggerFactory = (target) => {
    if (!defaultLoggers[target]) {
        defaultLoggers[target] = new debug_logger_1.DebugLogger(target);
    }
    return defaultLoggers[target];
};
exports.defaultLoggerFactory = defaultLoggerFactory;
