"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.messageLifecycleContext = void 0;
const tslib_1 = require("tslib");
const alscontext_1 = tslib_1.__importDefault(require("alscontext"));
/**
 * An internal context that tracks calls within handlers to .returnMessage()
 */
class MessageLifecycleContext extends alscontext_1.default {
    /**
     * Fetch the message context for the current async stack
     */
    get() {
        return super.get('message');
    }
    /**
     * Set the message context for the current async stack
     */
    set(message) {
        return super.set('message', message);
    }
    /**
     * Start and run a new async context
     */
    run(context, fn, isInHandlerContext = false) {
        return super.run({ message: context, isInHandlerContext }, fn);
    }
    /**
     * Check if the call stack is within a handler or workflow handler context
     */
    get isInHandlerContext() {
        const isInHandlerContext = super.get('isInHandlerContext');
        return isInHandlerContext === true;
    }
}
exports.messageLifecycleContext = new MessageLifecycleContext();
