import { Milliseconds, RetryStrategy } from './retry-strategy';
/**
 * A default message retry strategy that exponentially increases the delay between retries
 * from 5ms to 2.5 hrs for the first 10 attempts. Each retry delay includes a jitter of
 * up to 10% to avoid deadlock-related errors from continually blocking.
 */
export declare class DefaultRetryStrategy implements RetryStrategy {
    calculateRetryDelay(currentAttempt: number): Milliseconds;
}
