import { Message } from '@node-ts/bus-messages';
import { HandlerRegistry } from '../handler';
import { Serializer } from './serializer';
/**
 * This a wrapper around the real serializer.
 * Unlike JsonSerializer, whose sole job is parsing data,
 * this class will do some plumbing work to look up the Handler Registry for
 * the message constructor.
 *
 * Normally, transports will use this instead of the real serializer.
 */
export declare class MessageSerializer {
    private readonly serializer;
    private readonly handlerRegistry;
    constructor(serializer: Serializer, handlerRegistry: HandlerRegistry);
    serialize<MessageType extends Message>(message: MessageType): string;
    deserialize<MessageType extends Message>(serializedMessage: string): MessageType;
}
