export interface Listener<T> {
    (event: T): any;
}
export type Unsubscribe = () => void;
/**
 * An EventEmitter that emits a strongly typed event
 * @see https://basarat.gitbook.io/typescript/main-1/typed-event
 */
export declare class TypedEmitter<T> {
    private listeners;
    private listenersOncer;
    on: (listener: Listener<T>) => Unsubscribe;
    once: (listener: Listener<T>) => void;
    off: (listener: Listener<T>) => void;
    emit: (event: T) => void;
    pipe: (typedEmitter: TypedEmitter<T>) => Unsubscribe;
}
