"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowState = exports.WorkflowStatus = void 0;
var WorkflowStatus;
(function (WorkflowStatus) {
    /**
     * The workflow is still active and has not yet finished
     */
    WorkflowStatus["Running"] = "running";
    /**
     * The workflow has completed and will not receive further messages
     */
    WorkflowStatus["Complete"] = "complete";
    /**
     * A pseudo status to indicate that changes to the current state should not be persisted
     */
    WorkflowStatus["Discard"] = "discard";
})(WorkflowStatus || (exports.WorkflowStatus = WorkflowStatus = {}));
/**
 * A base workflow state definition to model and persist the state of a workflow throughout
 * its lifespan.
 */
class WorkflowState {
    constructor() {
        /**
         * Used to manage concurrency when storing the workflow state. This value is incremented
         * each time the data is persisted which keeps locking of data low.
         */
        this.$version = 0;
    }
}
exports.WorkflowState = WorkflowState;
